<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:h="http://java.sun.com/jsf/html">

    <body>

        <ui:component>

            <p:dialog
                id="calendarioAddId"
                header="Crear Calendario"
                widgetVar="calendarioAdd"
                modal="true"
                draggable="false"
                closable="false"
                resizable="false"                
                 >

                <h:panelGroup id="detalleCalendarioAdd">
                    
                    <h:form>
                        <h:panelGrid columns="2" cellpadding="5" columnClasses="centered5,centered6" >
                            <p:column>
                            <p:outputLabel for="ejercicioFiscal" value="Ejercicio Fiscal: " style="font-weight: bold" />
                            </p:column>
                            <p:column>
                            <p:selectOneMenu id="ejercicioFiscal" value="#{calendarioMB.rhNomnCatQuincenaTOSelected.ejercicioTO}" converter="entityConverter"
                                             filter="true" filterMatchMode="contains" caseSensitive="false" style="width:150px" 
                                             required="true" requiredMessage="El Ejercicio Fiscal es requerido">
                                <f:selectItems value="#{calendarioMB.listEjercicios}" var="ejercicioFiscalTO" itemLabel="#{ejercicioFiscalTO.valor}" itemValue="#{ejercicioFiscalTO}"/>
                                <p:ajax event="change" update="fechaInicial fechaFinal fechaPago fechaDispersion" listener="#{calendarioMB.selFechaPorPeriodo}" />
                            </p:selectOneMenu>                                                     
                            <p:message for="ejercicioFiscal"/>
                              </p:column>
                            <p:column>   
                            <h:outputLabel for="periodo" value="Periodo: *" style="font-weight: bold"/>
                           </p:column>
                            <p:column>
                            <p:selectOneMenu id="periodo" value="#{calendarioMB.rhNomnCatQuincenaTOSelected.intNumeroQuincena}"
                                             filter="true" filterMatchMode="contains" caseSensitive="false" autoWidth="false" style="width:150px" 
                                             required="true" requiredMessage="El periodo es requerido">
                                <f:selectItem itemLabel="Selecciona un periodo"  />
                                <f:selectItems value="#{calendarioMB.periodosEnum}" var="iPeriodo" itemLabel="#{iPeriodo.idPeriodo}" itemValue="#{iPeriodo.idPeriodo}"/>
                                <p:ajax event="change" update="descPeriodo fechaInicial fechaFinal fechaPago fechaDispersion" listener="#{calendarioMB.selPeriodo()}" />
                            </p:selectOneMenu>                                                                              
                            <p:message for="periodo"/>
                             </p:column>
                            <p:column>
                            <h:outputLabel for="descPeriodo" value="Descripción del Periodo: *" style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                            <p:inputText
                                id="descPeriodo"
                                value="#{calendarioMB.rhNomnCatQuincenaTOSelected.strDescripcionQuin}"
                                onkeyup="toUpperCase(event,this)"
                                style="width: 170px;font-weight: bold"
                                maxlength="50"
                                disabled="true"
                                required="true" requiredMessage="La descripción es requerida">
                            </p:inputText>                                             
                            <p:message for="descPeriodo"/>
                             </p:column>
                            <p:column>                            
                            <h:outputLabel for="fechaInicial" value="Fecha Inicial: *" style="font-weight: bold"/>
                             </p:column>
                            <p:column>
                            <p:calendar value="#{calendarioMB.rhNomnCatQuincenaTOSelected.dtFechaInicio}"
                                        id="fechaInicial" 
                                        showOn="button"                                        
                                        pattern="dd/MM/yyyy"
                                        locale= "es"
                                        style="width: 70px"
                                        maxlength="10"
                                        mode="popup"
                                        navigator="true"
                                        readonlyInput="true"
                                        mindate="#{calendarioMB.fechaMinimaSelected}" 
                                        maxdate="#{calendarioMB.fechaMaximaSelected}"                                         
                                        converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                        required="true" requiredMessage="La fecha inicial es requerida"
                                        disabled="#{calendarioMB.inHabilitaFechas}">
                                <p:ajax event="dateSelect" update="fechaFinal fechaPago fechaDispersion" listener="#{calendarioMB.selFechaInicial}"/>
                            </p:calendar>                                                                              
                            <p:message for="fechaInicial"/>
                             </p:column>
                            <p:column>
                            <h:outputLabel for="fechaFinal" value="Fecha Final " style="font-weight: bold"/>
                             </p:column>
                            <p:column>
                            <p:calendar value="#{calendarioMB.rhNomnCatQuincenaTOSelected.dtFechaFin}"
                                        id="fechaFinal" 
                                        showOn="button"                                        
                                        pattern="dd/MM/yyyy"
                                        locale= "es"
                                        style="width: 100px"
                                        maxlength="10"
                                        mode="popup"
                                        navigator="true"
                                        readonlyInput="true"
                                        mindate="#{calendarioMB.rhNomnCatQuincenaTOSelected.dtFechaInicio}" 
                                        maxdate="#{calendarioMB.fechaMaximaSelected}"                                         
                                        converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                        required="true" requiredMessage="La fecha final es requerida"
                                        disabled="#{calendarioMB.inHabilitaFechas}">                                        
                            </p:calendar>                                                           
                            <p:message for="fechaFinal"/>
                             </p:column>
                            <p:column>
                            <h:outputLabel for="fechaPago" value="Fecha Pago: *" style="font-weight: bold"/>
                             </p:column>
                            <p:column>
                            <p:calendar value="#{calendarioMB.rhNomnCatQuincenaTOSelected.dtFechaPago}"
                                        id="fechaPago" 
                                        showOn="button"                                        
                                        pattern="dd/MM/yyyy"
                                        locale= "es"
                                        style="width: 100px"
                                        maxlength="10"
                                        mode="popup"
                                        navigator="true"
                                        readonlyInput="true"
                                        mindate="#{calendarioMB.rhNomnCatQuincenaTOSelected.dtFechaInicio}" 
                                        maxdate="#{calendarioMB.fechaMaximaSelected}"                                         
                                        converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                        required="true" requiredMessage="La fecha de pago es requerida"
                                        disabled="#{calendarioMB.inHabilitaFechas}">                                        
                            </p:calendar>                                                                                 
                            <p:message for="fechaPago"/>
                             </p:column>
                            <p:column>
                            <h:outputLabel for="fechaDispersion" value="Fecha de Dispersión: *" style="font-weight: bold"/>
                              </p:column>
                            <p:column>
                            <p:calendar value="#{calendarioMB.rhNomnCatQuincenaTOSelected.dtFechaDispercion}"
                                        id="fechaDispersion" 
                                        showOn="button"                                        
                                        pattern="dd/MM/yyyy"
                                        locale= "es"
                                        style="width: 100px"
                                        maxlength="10"
                                        mode="popup"
                                        navigator="true"
                                        readonlyInput="true"
                                        mindate="#{calendarioMB.rhNomnCatQuincenaTOSelected.dtFechaInicio}" 
                                        maxdate="#{calendarioMB.fechaMaximaSelected}"                                         
                                        converterMessage="Fecha incorrecta, el formato es dd/mm/yyyy"
                                        required="true" requiredMessage="La fecha de dispersión es requerida"
                                        disabled="#{calendarioMB.inHabilitaFechas}">                                        
                            </p:calendar>                                                                               
                            <p:message for="fechaDispersion"/>
                             </p:column>
                            
                        </h:panelGrid>

                        
                        <br/>
                        <div align="right" >
                        <p:commandButton                            
                            value="#{translatedMessage['common.label.save']}"
                            style="font-size: 70%"
                            oncomplete="redirect(xhr, status, args, 'CalendarioList.jsf');"
                            actionListener="#{calendarioMB.guardarCalendario}" >
                            
                            <p:confirm 
                                header="Confimación" 
                                message="¿Está seguro de guardar el calendario?" 
                                icon="ui-icon-alert" /> 

                            <p:confirmDialog 
                                global="true" 
                                showEffect="fade" 
                                hideEffect="fade">
                                <p:commandButton 
                                    value="Si" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-yes" 
                                    icon="ui-icon-check"                                         
                                    update="@(form)"/>
                                <p:commandButton 
                                    value="No" 
                                    type="button" 
                                    styleClass="ui-confirmdialog-no" 
                                    icon="ui-icon-close"/>
                            </p:confirmDialog>                                                        
                        </p:commandButton>
                              
                        <div 
                            style="width:5px;
                                   height:auto;
                                   display:inline-block;" />
                            
                            <p:commandButton
                                value="Cerrar"
                                style="font-size: 70%"
                                type="button"
                                onclick="location = 'CalendarioList.jsf';">
                            </p:commandButton>
                        </div>
                       
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>

    </body>
</html>
